import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ScatterBaseDescription extends MarkerSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ci;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private ck;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private cj;
    get xMemberPath(): string;
    set xMemberPath(a: string);
    private cl;
    get yMemberPath(): string;
    set yMemberPath(a: string);
    private ch;
    get trendLineType(): string;
    set trendLineType(a: string);
    private cg;
    get trendLineBrush(): string;
    set trendLineBrush(a: string);
    private ce;
    get actualTrendLineBrush(): string;
    set actualTrendLineBrush(a: string);
    private b6;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private b9;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private cf;
    get markerCollisionAvoidance(): string;
    set markerCollisionAvoidance(a: string);
    private ca;
    get trendLineZIndex(): number;
    set trendLineZIndex(a: number);
    private b8;
    get maximumMarkers(): number;
    set maximumMarkers(a: number);
}
